Skip to main content
GET
/
transactions
/
{id}
Read a transaction
curl --request GET \
  --url https://api.lumx.io/transactions/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.lumx.io/transactions/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.lumx.io/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "ON_RAMP",
  "request": {
    "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "rail": "PIX",
    "sourceCurrency": "BRL",
    "sourceAmount": "10000.00",
    "targetCurrency": "USDC",
    "purpose": "PERSONAL_ACCOUNT"
  },
  "state": {
    "status": "AWAITING_FUNDS",
    "payment": {
      "rail": "PIX",
      "brCode": "00020126580014br.gov.bcb.PIX0136123e4567-e89b-12d3-a456-4266141740005204000053039865802BR5915Test Merchant6009Sao Paulo62070503***63041234"
    }
  },
  "metadata": {},
  "createdAt": "2024-03-20T15:30:00Z",
  "updatedAt": "2024-03-20T15:30:05Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header on the format Bearer <API_KEY>.

Path Parameters

id
string<uuid>
required

Transaction's unique identifier.

Response

200 - application/json

Transaction successfully retrieved.

id
string<uuid>

Transaction's unique identifier.

Example:

"123e4567-e89b-12d3-a456-426614174000"

customerId
string<uuid>

Customer's unique identifier.

Example:

"3c90c3cc-0d44-4b50-8888-8dd25736052a"

type
enum<string>

Transaction's type.

Available options:
ON_RAMP
request
object

Transaction's request.

state
object

Transaction's current state.

createdAt
string<date-time>

Creation date and time (UTC).

updatedAt
string<date-time>

Last update date and time (UTC).